## diffuse diffuse |

## Properties

gdouble | scale | Read / Write

## Types and Values

struct | GstDiffuse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstGeometricTransform
                                ╰── GstDiffuse

## Description

Diffuse is a geometric image transform element. It diffuses the image by moving its pixels in random directions.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! diffuse ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | geometrictransform
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstDiffuse

    struct GstDiffuse;

## Property Details

### The `“scale”` property

      “scale”                    gdouble

Scale of the texture.

Flags: Read / Write

Allowed values: >= 1

Default value: 4

## See Also

geometrictransform